# Copyright (c) Jupyter Development Team.
# Distributed under the terms of the Modified BSD License.
ARG JUPYTERHUB_VERSION
FROM jupyterhub/jupyterhub-onbuild:$JUPYTERHUB_VERSION

# Install dockerspawner, oauth, postgres
RUN pip install --no-cache-dir \
        dockerspawner==12.1.* \
        jupyterhub-ltiauthenticator==1.5.1 \
        psycopg2-binary==2.9.6 \
        jupyterhub-idle-culler==1.3.1

COPY ./userlist /srv/jupyterhub/userlist
